<?php
/**
 * @file
 * wcm_user_config.ds.inc
 */

/**
 * Implements hook_ds_layout_settings_info().
 */
function wcm_user_config_ds_layout_settings_info() {
  $export = array();

  $ds_layout = new stdClass();
  $ds_layout->api_version = 1;
  $ds_layout->id = 'user|user|default';
  $ds_layout->entity_type = 'user';
  $ds_layout->bundle = 'user';
  $ds_layout->view_mode = 'default';
  $ds_layout->layout = 'ds_1col';
  $ds_layout->settings = array(
    'regions' => array(
      'ds_content' => array(
        0 => 'field_user_photo',
        1 => 'field_job_title',
        2 => 'field_bio',
        3 => 'field_phone',
        4 => 'summary',
        5 => 'field_room_and_building',
        6 => 'field_street_address',
        7 => 'field_display_on_contact_page',
        8 => 'field_display_in_leadership_list',
        9 => 'field_first_name',
        10 => 'field_last_name',
        11 => 'ds_user_picture',
      ),
    ),
    'fields' => array(
      'field_user_photo' => 'ds_content',
      'field_job_title' => 'ds_content',
      'field_bio' => 'ds_content',
      'field_phone' => 'ds_content',
      'summary' => 'ds_content',
      'field_room_and_building' => 'ds_content',
      'field_street_address' => 'ds_content',
      'field_display_on_contact_page' => 'ds_content',
      'field_display_in_leadership_list' => 'ds_content',
      'field_first_name' => 'ds_content',
      'field_last_name' => 'ds_content',
      'ds_user_picture' => 'ds_content',
    ),
    'classes' => array(),
    'wrappers' => array(
      'ds_content' => 'div',
      'ds_hidden' => 'div',
    ),
    'layout_wrapper' => 'div',
    'layout_attributes' => '',
    'layout_attributes_merge' => 1,
    'layout_link_attribute' => '',
    'layout_link_custom' => '',
  );
  $export['user|user|default'] = $ds_layout;

  return $export;
}
