<?php
include_once 'mm_vocab.module';

// register drush commands
function mm_vocab_drush_command() {
  $items = array();

  // register individual Drush commands
  $items['mm-vocabulary-sync'] = array(
    'description' => dt('Syncs the Media Magnet vocabularies'),
    'drupal dependencies' => array('mm_vocab'),
    'examples' => array(
      'Example 1' => 'drush mm-vocabulary-sync',
      'Example 2' => 'drush mm-vsync',
    ),
    'bootstrap' => DRUSH_BOOTSTRAP_DRUPAL_FULL,
    'aliases' => array('mm-vsync'),
  );

  // return list of drush commands
  return $items;
}

// mm-vocabulary-sync function
function drush_mm_vocab_mm_vocabulary_sync() {
  drush_log('Syncing vocabularies now...', 'ok');

  mm_vocab_cron();

  drush_log('Sync complete!', 'ok');
}
