<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 4e'),
  'icon' => 'wcm-omega-4e.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_4e',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'header' => t('Header'),
    'tiles_header' => t('Tiles Header'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'tile10' => t('Tile 10'),
    'tile11' => t('Tile 11'),
    'tile12' => t('Tile 12'),
    'tile13' => t('Tile 13'),
    'tile14' => t('Tile 14'),
    'tile15' => t('Tile 15'),
    'tile16' => t('Tile 16'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_4e().
 */
function template_preprocess_wcm_omega_4e(&$vars) {
  $rows = array(
    'header' => array('header'),
    'content_group' =>array('tiles_header','tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'tile6', 'tile7', 'tile8', 'tile9', 'tile10', 'tile11', 'tile12', 'tile13', 'tile14', 'tile15', 'tile16'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
